Bulk Delete Tunnels Endpoint
curl --request DELETE \
--url https://api.primeintellect.ai/api/v1/tunnel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tunnel_ids": [
"<string>"
],
"labels": [
"<string>"
],
"teamId": "<string>",
"userId": "<string>",
"allUsers": false
}
'import requests
url = "https://api.primeintellect.ai/api/v1/tunnel"
payload = {
"tunnel_ids": ["<string>"],
"labels": ["<string>"],
"teamId": "<string>",
"userId": "<string>",
"allUsers": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tunnel_ids: ['<string>'],
labels: ['<string>'],
teamId: '<string>',
userId: '<string>',
allUsers: false
})
};
fetch('https://api.primeintellect.ai/api/v1/tunnel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"succeeded": [
"<string>"
],
"failed": [
{}
]
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Tunnel
Bulk Delete Tunnels Endpoint
Bulk soft-delete multiple tunnels by IDs or labels.
DELETE
/
api
/
v1
/
tunnel
Bulk Delete Tunnels Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to bulk delete tunnels.
List of tunnel IDs to delete
Required array length:
1 - 500 elementsList of labels - delete all tunnels with ALL these labels
Required array length:
1 - 50 elementsDelete only tunnels currently in this status. Must be an active status (pending, connected, disconnected)
Available options:
pending, connected, disconnected, expired, terminated Scope deletion to tunnels in this team
Scope deletion to tunnels owned by this user
Delete tunnels across all users in the given team
Was this page helpful?
⌘I